## org.ascape.model.space
Class CollectionSpace.ConditionalIterator

    java.lang.Object
      org.ascape.model.space.CollectionSpace.ConditionalIterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  CollectionSpace

    public static class CollectionSpace.ConditionalIterator

extends java.lang.Object
implements java.util.Iterator

The Class ConditionalIterator.

Constructor Summary
`CollectionSpace.ConditionalIterator(java.util.Iterator iter, Conditional condition)` Instantiates a new conditional iterator.

Method Summary
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionSpace.ConditionalIterator

    public CollectionSpace.ConditionalIterator(java.util.Iterator iter,
                                               Conditional condition)

  Instantiates a new conditional iterator.

  Parameters:
    `iter` - the iter
    `condition` - the condition

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`